FREEFOAM-FOAMTOENSIGHT(1)

NAME
freefoam-foamToEnsight - Translates FOAM data to EnSight format.

SYNOPSIS

freefoam foamToEnsight [-patches] [-noPatches] [-help] [-latestTime] [-noZero] [-srcDoc] [-ascii] [-doc] [-time <time>] [-constant] [-parallel] [-case <dir>]

DESCRIPTION

An Ensight part is created for the internalMesh and for each patch.

OPTIONS

-ascii
    Write Ensight data in ASCII format instead of "C Binary"

-patches
    Specify particular patches to write. Specifying an empty list suppresses writing the internalMesh.

-noPatches
    Suppress writing any patches.

-case <dir>
    Case directory.

-noZero
    Ignore time step 0.

-constant
    Include the constant directory.

-latestTime
    Only apply to the latest time step.

-parallel
    Run in parallel.

-time <time>
    Apply only to specified time.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

NOTE

Parallel support for cloud data is not supported - writes to EnSight directory to avoid collisions with foamToEnsightParts

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.